Bug 1323080 (CVE-2011-5326) - CVE-2011-5326 imlib2: divide by zero on 2x1 ellipse
Summary: CVE-2011-5326 imlib2: divide by zero on 2x1 ellipse
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2011-5326
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1323083 1323084 1323082
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 08:22 UTC by Andrej Nemec
Modified: 2019-09-29 13:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:50:12 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-04-01 08:22:28 UTC
A vulnerability was found in imlib2. Attempting to draw a 2x1 radi ellipse with imlib_image_draw_ellipse() will result in a floating point exception.

Original bug report (reproducer attached):

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639414

Comment 1 Andrej Nemec 2016-04-01 08:30:04 UTC
Created imlib2 tracking bugs for this issue:

Affects: fedora-all [bug 1323082]
Affects: epel-6 [bug 1323083]
Affects: epel-7 [bug 1323084]

Comment 3 Fedora Update System 2016-04-13 07:23:10 UTC
imlib2-1.4.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-23 20:07:21 UTC
imlib2-1.4.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-24 01:21:56 UTC
imlib2-1.4.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:50:12 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.